{% set CodiceModulo = "ESEMPIO-PRINCI" %}
{% set Urn = "document:c_l483:esercitazione;esempio.servizio;documentazione" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
	{ "codice":"CAS_GIUDIZIARIO",
		"urn":"document:c_l483:casellario;giudiziario.documentazione",
		"descrizione_tabella_allegati":"Casellario giudiziario",
		"annotazioni_tabella_allegati":"",
		"descrizione_meta":"Casellario giudiziario",
		"filename":"Casellario giudiziario",
		"firmatari":"Titolare_CodiceFiscale",
		"firmatari_label":"il dichiarante",
		"firmato":"NO",
		"numero":"1",
		"dimensione":"15",
		"enabled":"",
		"dynamic_check":"",
		"tipo":"allegato",
		"tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
		},
	{ "codice":"DAE-CDI",
		"urn":"document:s_italia:generale;documento.identita;documentazione",
		"descrizione_tabella_allegati":"Documento di identità",
		"annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
		"descrizione_meta":"Documento di identità",
		"filename":"Documento identita",
		"firmatari":"Titolare_CodiceFiscale",
		"firmatari_label":"il dichiarante",
		"firmato":"NO",
		"numero":"1",
		"dimensione":"15",
		"enabled":"",
		"dynamic_check":"",
		"tipo":"allegato",
		"tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
	}
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il dichiarante"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Modulo di esercitazione"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="1.0|21/05/2021"/>

<meta codice_allegato="VIS-CAT-IMM"
urn_allegato="document:s_italia:visura.catastale"
descrizione_estesa="Visura catastale dell'immobile"
filename="Visura catastale"
firmato="SI"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

<meta codice_allegato="PER_SOG"
urn_allegato="document:c_a189:permesso;soggiorno.documentazione"
descrizione_estesa="Permesso di soggiorno"
filename="Permesso soggiorno"
firmato="NO"
name="GLOBO_allegato"
numero="1"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

<meta codice_modulo_figlio="MARCA_BOLLO"
urn_modulo_figlio="document:s_italia:pagamento.imposta.bollo;apposizione.domanda;dichiarazione.sostitutiva"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

<meta codice_modulo_figlio="ASSENSO_REGOL"
urn_modulo_figlio="document:c_a189:documentazione;assenso.regolamento"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
		<meta codice_allegato="{{ allegato['codice'] }}"
		urn_allegato="{{ allegato['urn'] }}"
		descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
		filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
		firmatari="{{ allegato['firmatari'] }}"
		firmatari_label="{{ allegato['firmatari_label'] }}"
		firmato="{{ allegato['firmato'] }}"
name="GLOBO_allegato"
		numero="{{ allegato['numero'] }}"
		dimensione_massima="{{ allegato['dimensione'] }}"
		obbligatorio="DINAMICO"
		tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Modulo di esercitazione {% endblock title %}

{% block content %}
 <globo_fondo_pagina areaheight="150" scope="2">
 {{ utils.firma() }}
</globo_fondo_pagina>

{{intestazioni.intestazione_moduloprincipale_conbollo()}}

<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase()  + ' - Modulo di esercitazione'" id="Oggetto" name="Oggetto" type="hidden"/>

<h1 class="Modulo">
  Modulo di esercitazione
</h1>
<h3 class="Modulo">
  wwwww
</h3>
{{ anagrafica.societa("Titolare", "Il sottoscritto", ["Persona fisica", "Titolare", "Legale rappresentante"], "Richiedente", "visibility:visibility", "cursor:pointer", "mail_ordinaria", "false", "false") }}

<input id="AvenTitolo1_DatiPersonaObbligatori" name="AvenTitolo1_DatiPersonaObbligatori" type="hidden" dynamic_check="#AttivaAnagrafica.checked()"/>
<input id="AvenTitolo1_Titolo" name="AvenTitolo1_Titolo" type="hidden" value="Richiedente"/>
<input id="AvenTitolo1_Ruolo" name="AvenTitolo1_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica("AvenTitolo1", '<input id="AttivaAnagrafica" name="AttivaAnagrafica" type="checkbox" value="SI" /> Il sottoscritto', "visibility:visibility", "cursor:pointer", "visibility:visibility", "visibility:visibility", "mail_ordinaria") }}
<input id="Attivazione" name="Attivazione" type="checkbox" value="SI" />

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
      <tr class="Rigaintestazione">
        <td colspan="4">
          <p class="Labeltabella">
            Tabella di esempio Jinja2
          </p>
        </td>
      </tr>
      {% set opzioni = ['A1','A2','A3','A4','A5'] %}
      {% for x in opzioni %}
      <tr>
        <td rowspan="5" style="vertical-align: top; width: 4%;background-color: white;" >
           {% if loop.first %} <div id="Tassonomia_Zona" name="Tassonomia_Zona" label="Zona omogenea" mandatory_enabled="#Attivazione.checked()"></div> {% endif %}
            <input  id="Tassonomia_Zona{{ loop.index }}" name="Tassonomia_Zona" type="radio" value="{{ loop.index }}" />
        </td>
        <td colspan="3"><p>{{ x }}</p></td>
      </tr>
      <tr class="Rigaintestazioneridotta">
        <td>
          <p class="Labelcella">
            Data
          </p>
        </td>
        <td>
          <p class="Labelcella">
            Orario
          </p>
        </td>
        <td>
          <p class="Labelcella">
            Importo
          </p>
        </td>
      </tr>
      <tr>
        <td>
          <input mandatory_enabled="#Tassonomia_Zona{{ loop.index }}.checked()" format="date" class="inputNormal" id="Parametri_Data{{ loop.index }}" name="Parametri_Data{{ loop.index }}" style="width: 100%;" label="Data" />
        </td>
        <td>
          <input mandatory_enabled="#Tassonomia_Zona{{ loop.index }}.checked()" format="time" class="inputNormal" id="Parametri_Orario{{ loop.index }}" name="Parametri_Orario{{ loop.index }}" style="width: 100%;" label="Orario" />
        </td>
        <td>
          <input mandatory_enabled="#Tassonomia_Zona{{ loop.index }}.checked()" format="valuta_positiva" class="inputNormal" id="Parametri_Importo{{ loop.index }}" name="Parametri_Importo{{ loop.index }}" style="width: 100%;" label="Importo" />
        </td>
      </tr>
      <tr class="Rigaintestazioneridotta">
        <td colspan="3">
          <p class="Labelcella">
            Descrizione
          </p>
        </td>
      </tr>
      <tr>
        <td colspan="3">
          <input mandatory_enabled="#Tassonomia_Zona{{ loop.index }}.checked()" class="inputNormal" id="Parametri_Descrizione{{ loop.index }}" name="Parametri_Descrizione{{ loop.index }}" style="width: 100%;" label="Descrizione" />
        </td>
      </tr>
      {% endfor %}
  </tbody>
</table>
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    
      <tr class="Rigaintestazioneridotta">
        <td colspan="2">
            <p class="Labelcella">
            Definizione dell'impianto
            </p>
        </td>
      </tr>
      {% set definizioni = ['cartello publicitario','altri mezzi pubblicitari','insegne di esercizio/vetrofanie','altre forme di pubblicita'] %}
      {% for definizione in definizioni %}
      <tr>
        <td style="vertical-align: top; width: 4%;" >
           {% if loop.first %} <div id="Tassonomia_DefinizioneImpianto" name="Tassonomia_DefinizioneImpianto" label="Definizione dell'impianto" mandatory="true"></div> {% endif %}
            <input group="Tassonomia_DefinizioneImpianto" id="Tassonomia_DefinizioneImpianto{{ loop.index }}" name="Tassonomia_DefinizioneImpianto{{ loop.index }}" type="checkbox" value="SI" />
        </td>
        <td ><p>{{ definizione }}</p></td>
      </tr>
      {% endfor %}
  </tbody>
</table>
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="5">
        <p class="Labeltabella">
          Tabella del nucleo familiare ottenuta con Jinja2
        </p>
      </td>
    </tr>      
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
            Nome
        </p>
      </td>
      <td>
        <p class="Labelcella">
            Cognome
        </p>
      </td>
      <td>
        <p class="Labelcella">
            Data di nascita
        </p>
      </td>
      <td>
        <p class="Labelcella">
            Codice fiscale
        </p>
      </td>
      <td>
        <p class="Labelcella">
            Grado di parentela
        </p>
      </td>
    </tr>
    {% for i in range(1, 7) %}
    <tr {% if loop.first %}  mandatory="true" {% endif %}>
      <td><input class="inputNormal" id="Parametri_NomeFamiliare{{ loop.index }}" name="Parametri_NomeFamiliare{{ loop.index }}" style="width: 100%;" label="Nome componente familiare" {% if not loop.first %} enabled="#Parametri_NomeFamiliare{{ i-1 }}.value()!=''"{% endif %} /></td>
      <td><input class="inputNormal" id="Parametri_CognomeFamiliare{{ loop.index }}" {% if not loop.first %} mandatory_enabled="#Parametri_NomeFamiliare{{ i }}.value()!=''" {% endif %}  name="Parametri_CognomeFamiliare{{ loop.index }}" style="width: 100%;"   label="Cognomeome componente familiare"/></td>
      <td><input class="inputNormal" id="Parametri_DataNascita{{ loop.index }}" {% if not loop.first %} mandatory_enabled="#Parametri_NomeFamiliare{{ i }}.value()!=''" {% endif %} format="date" name="Parametri_DataNascita{{ loop.index }}" style="width: 100%;"  label="Data di nascita componente familiare"/></td>
      <td><input class="inputNormal" id="Parametri_CodiceFiscaleFamiliare{{ loop.index }}" {% if not loop.first %} mandatory_enabled="#Parametri_NomeFamiliare{{ i }}.value()!=''" {% endif %} format="cf" name="Parametri_CodiceFiscaleFamiliare{{ loop.index }}" style="width: 100%;" label="Codice fiscale componente familiare"/></td> 
      <td style="width: 20%;">
        <select  {% if not loop.first %} mandatory_enabled="#Parametri_NomeFamiliare{{ i }}.value() !=''"  {% endif %} style="width: 100%;" name="Parametri_GradiParentela{{ loop.index }}" id="Parametri_GradiParentela{{ loop.index }}">
         <option value=""></option>
         <option value="Madre">Madre</option>
         <option value="Padre">Padre</option>
         <option value="Fratello">Fratello</option>
         <option value="Sorella">Sorella</option>
         <option value="Nonno">Nonno</option>
         <option value="Nonna">Nonna</option>
         <option value="Zio">Zio</option>
         <option value="Zia">Zia</option>
         <option value="Cugino">Cugino</option>
        </select>
      </td>
    </tr>
    {% endfor %}    

  </tbody>
</table>

<input id="Immobile_DatiCatastaliObbligatori" name="Immobile_DatiCatastaliObbligatori" type="checkbox" style="display: none;" value="si" checked="checked" dynamic_check="true"/>
{{ immobili.immobile("Immobile", "sito in", "Collocazione immobile") }}

{{ immobili.immobile_toponomastica("Immobile2", "con sede in", "Localizzazione intervento", "visibility:visibility", "visibility:hidden", "cursor:default", "false") }}
<br><br>
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    
    <tr>
      <td>
        <input  class="inputNormal" id="Parametri_Isee" name="Parametri_Isee" style="width: 100%;" label="" />
      </td>
    </tr>
  </tbody>
</table>
<br><br>
{{ utils.domicilio_digitale() }}
<br><br>
{{ utils.rimborso() }}

<br/>

<table class="Modulo" style="border:1px solid grey">
 <tbody>
  <tr class="Rigaintestazioneridotta">
   <td>
    <p class="Labelcella">
     Eventuali annotazioni
    </p>
   </td>
  </tr>
  <tr>
   <td>
    <textarea class="inputNormal" id="Parametri_Annotazioni" name="Parametri_Annotazioni" style="width:100%;height:5cm;"></textarea>
   </td>
  </tr>
 </tbody>
</table>

<br/>

<table class="Modulo" style="border:1px solid grey">
 <tbody>
  <tr class="Rigaintestazione">
   <td colspan="2">
    <p style="text-align: center;">
     <b>
      Elenco degli allegati
     </b>
     <br/>
     <span style="font-size:70%">
      <i>
       (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale)
      </i>
     </span>
    </p>
   </td>
  </tr>
  <tr>
    <td style="vertical-align: top; width: 4%;">
      <input checked="checked" dynamic_check="true" id="ASSENSO_REGOL" name="ASSENSO_REGOL" type="checkbox" value="OBBLIGATORIO"/>
    </td>
    <td style="background-color: #eeeeee;">
      <p>
        modulo secondario di assenso al Regolamento comunale
      </p>
    </td>
  </tr>
  <tr>
    <td style="vertical-align: top; width: 4%;">
      <input id="PER_SOG" name="PER_SOG" type="checkbox" value="OBBLIGATORIO"/>
    </td>
    <td style="background-color: #eeeeee;">
      <p>
        permesso di soggiorno
      </p>
    </td>
  </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <input checked="checked" dynamic_check="true" id="MARCA_BOLLO" name="MARCA_BOLLO" type="checkbox" value="OBBLIGATORIO" />
      </td>
      <td style="background-color: #eeeeee;">
        <p>
          pagamento dell'imposta di bollo
        </p>
      </td>
    </tr>
  {% for allegato in allegati %}
  <tr>
   <td style="vertical-align: top; width:3%">
    <input id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %} />  
  {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
   </td>
   <td style="background-color: #eeeeee;">
    <p>
       {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %}<br/><span style="font-size:70%"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}
      </p>
    </td>
  </tr>                     
{% endfor %}
  <tr>
   <td>
    <input id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" type="checkbox" value="OBBLIGATORIO"/>
   </td>
   <td style="background-color: #eeeeee;">
    <p>
     altri allegati
     <span style="font-size:70%">
      (specificare)
     </span>
     <input class="inputNormal" id="AltriAllegati" label="Altri allegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()" name="AltriAllegati" style="width:79%;"/>
    </p>
   </td>
  </tr>
 </tbody>
</table>

<br/>

{{ utils.trattamento_dati_personali() }}

<br/>

  {{ utils.firma_hidden() }}
  <br/>

<p class="Modulo">
 <input id="SalvaModulo" name="SalvaModulo" style="height:30px;width:120px;" title="Verifica la corretta compilazione dei campi e salva il modulo nel faldone virtuale dell'istanza." type="submit" value="Salva modulo"/>
</p>

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input obbligatorio="#PER_SOG.checked() ? 'OBBLIGATORIO' : ''" id="GLOBO_allegato_cPER_SOG" name="GLOBO_allegato_cPER_SOG" type="hidden" value="" />

<input id="GLOBO_modulofiglio_cASSENSO_REGOL" name="GLOBO_modulofiglio_cASSENSO_REGOL" type="hidden" value="" obbligatorio="#ASSENSO_REGOL.checked() ? 'OBBLIGATORIO' : ''"/>

<input id="GLOBO_modulofiglio_cMARCA_BOLLO" name="GLOBO_modulofiglio_cMARCA_BOLLO" type="hidden" value="" obbligatorio="#MARCA_BOLLO.checked() ? 'OBBLIGATORIO' : ''"/>

<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>

<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>

<input id="GLOBO_allegato_cVIS-CAT-IMM" name="GLOBO_allegato_cVIS-CAT-IMM" type="hidden" value="" obbligatorio="(#Immobile_Visura.checked()) ? 'OBBLIGATORIO' : ''"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
